Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Nhờ Sửa Lisp Xuất Chiều Dài Line Song Song Với Line.


  • Please log in to reply
2 replies to this topic

#1 Nad SK

Nad SK

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 02 April 2017 - 04:28 PM

Lâu lắm mới quay lại với WaterGEMS, trình WTG thì vẫn ổn, xuất ra CAD vẫn ổn nhưng cần phải chỉnh sửa trước khi xuất bản. Lúc này cần đến LISP, xa (.) cũng lâu rồi nên giờ lọ mọ lục lại tài nguyên chỉnh sửa mãi mà không được như ý:
- Xuất chiều dài đoạn ống đã có  bằng cách chọn điểm đầu điểm cuối ống. Chiều dài, vật liệu ống xuất ra song song với ống và cách 1 đoạn nào đó (thử dùng polar nhưng chỉ được song song phía trên, còn phía dưới thì đang loạn lắm). Nhờ bà con chém hộ:

;Nad SK

(defun c:KC (/ l dd dc)

   (setvar "cmdecho" 0)

   (initget (+ 7))

   (setq h (getreal "\Text height:"))

   ;(initget (+ 7))

   ;(setq r (getint "\nDecimal value :"))

(while

             (setq dd (getpoint "\nPick first point:"))

      (setq dc (getpoint "\nPick second point:"))

      (setq x1 (car dd))

      (setq x2 (car dc))

      (setq y1 (cadr dd))

      (setq y2 (cadr dc))

      (setq z1 (cadr (cdr dd)))

      (setq z2 (cadr (cdr dc)))

      (setq dg (list (/ (+ x1 x2) 2) (/ (+ y1 y2) 2) (/(+ z1 z2) 2)));;;TAO DIEM GIUA DOAN THANG

             (setvar "osmode" 0)

      (setq goc (/ (* (angle dd dc) 180.0) pi))

      (setq gq (if (> 90 goc) goc (if (> 180 goc) (+ goc 180) (if (> 270 goc) (- goc 180) goc))))

      (setq cd (distance dd dc))

      (setq cd1 (rtos cd 2 2))

      (command "text" "j" "c" dg h gq cd1) ;TEXT NAM O DIEM GIUA dg;;;

      (command "text" "j" "tc" dg h gq "HDPE-PE100-PN6"); TEXT NAM O DIEM GIUA dg;

;CAN TAO RA 2 DIEM CACH DIEM GIUA MOT KHOANG DE CHO 2 TEXT SONG SONG VOI DUONG LINE NOI DIEM DAU dd VA DIEM CUOI dc;SONG SONG BEN TREN VA SONG SONG BEN DUOI;

      (setvar "osmode" 16383)

)          

   (prompt (strcat "\nok.."))

   (setvar "cmdecho" 1)

   (princ)

)  


  • 0

#2 quocmanh04tt

quocmanh04tt

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 798 Bài viết
Điểm đánh giá: 378 (khá)

Đã gửi 02 April 2017 - 10:15 PM

Hướng dẫn:
- pt1: Là điểm đầu.
- pt2: điểm cuối.
- Mid: Điểm giữa -> Xác định tương tự như trên...
- Ang: (angle pt1 pt2) -> Góc (Radians) này khống chế sao cho chữ không bị lộn. -> Tương tự trên...
- ptt: (polar mid (+ ang (* 0.5 pi)) h) -> ptt là điểm trên, h là khoảng cách từ điểm giữa đến điểm trên.
- ptd: (polar mid (+ ang (* 1.5 pi)) h) -> ptd là điểm dưới, h là khoảng cách từ điểm giữa đến điểm dưới.
*** Khi dùng command-> Text thì ang chuyển về deg


  • 0

#3 Nad SK

Nad SK

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 03 April 2017 - 08:11 AM

Hướng dẫn:
- pt1: Là điểm đầu.
- pt2: điểm cuối.
- Mid: Điểm giữa -> Xác định tương tự như trên...
- Ang: (angle pt1 pt2) -> Góc (Radians) này khống chế sao cho chữ không bị lộn. -> Tương tự trên...
- ptt: (polar mid (+ ang (* 0.5 pi)) h) -> ptt là điểm trên, h là khoảng cách từ điểm giữa đến điểm trên.
- ptd: (polar mid (+ ang (* 1.5 pi)) h) -> ptd là điểm dưới, h là khoảng cách từ điểm giữa đến điểm dưới.
*** Khi dùng command-> Text thì ang chuyển về deg

Cảm ơn bác. Vấn đề nằm ở chỗ Rad và Deg.


  • 0